> ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Retrieve Shipment Allocation Detail By Code > ## Overview **Retrieve Shipment Allocation Detail:** This endpoint retrieves shipment allocation details based on company code, vendor code, shipment number, shiplist number, PO number, and release number. It also supports an optional voucher number as query parameter. ## Finders The following finders are available for data filtering and optimizing request performance. - selectByCode ## Select By Code | Parameter | Description | Example | | --- | --- | --- | | compCode | Company Code | ZZ | | venCode | Vendor Code | A1BRICKS | | poNum | Purchase Order Num | PZZ0000855 | | releaseNum | Purchase Order Release Num | 1 | | shiplistNum | Shiplist Num | PZZ0000855 | | shipNum | Shipment Num | PZZ0000855 | In addition to finder-based filtering, this endpoint also supports advanced filtering through the `q` parameter. - To retrieve records where the voucher number is **null**: `/po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum is null` - To retrieve records where the voucher number is **not null**: `/po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum is not null` - To retrieve records for a **specific voucher number**: `/po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum=2034569027351` ## Query Standards | Key | Recommended | Description | | --- | --- | --- | | `finder` | Yes | Filters data based on attributes. See finder details below. Finders can be combined using a comma delimiter between parameters that implies an "and" statement. For more information on using the finder functionality, please see \[Best Practice | | `limit` | Yes | A limit restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count, then the framework will return all available resources. For additional information on using the limit functionality, please visit \[Best Practice | | `offset` | Yes | The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using offset functionality, please visit \[Best Practice | | `orderBy` | Yes | The `orderBy` attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using `orderBy` functionality, please visit \[Best Practice | ## shipmentAllocationDetail Finders | Finder | Parameter | Data Type | Description | Example | Mandatory | | --- | --- | --- | --- | --- | --- | | selectByCode | PODA_COMP_CODE | String | Company Code | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;compCode=ZZ | Optional | | selectByCode | PODA_NUM | String | Purchase Order Num | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;compCode=ZZ,poNum=PZZ0000855 | Optional | | selectByCode | PODA_RELEASE_NUM | Number | Purchase order release Num | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;releaseNum=1 | Optional | | selectByCode | PODA_SHIPM_NUM | String | Shipment Number | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;shipNum=PZZ0000855 | Optional | | selectByCode | PODA_SHIPLIST_NUM | String | Shiplist Number | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;shiplistNum=PZZ0000855 | Optional | | selectByCode | PODA_VEN_CODE | String | Vendor Code | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;venCode=A1BRICKS | Optional | ## Attributes | CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Mandatory | n| --- | --- | --- | --- | --- | --- | --- | --- | | PodaCompCode | shipmentAllocationDetail | PodaCompCode | Company Code | String | 8 | ALT | True | | PodaCompName | shipmentAllocationDetail | PodaCompName | Company Name | String | 30 | CMiC-ZZ Test Company Incorp | False | | PodaNum | shipmentAllocationDetail | PodaNum | Purchase Order Number | String | 11 | JP000002 | True | | PodaDeptCode | shipmentAllocationDetail | PodaDeptCode | Department Code | String | 6 | 00 | True | | PodaAccCode | shipmentAllocationDetail | PodaAccCode | Account Code | String | 16 | 5200.100 | True | | PodaLineNum | shipmentAllocationDetail | PodaLineNum | Line Number | Number | 6/0 | 1 | True | | PodaAcctypCode | shipmentAllocationDetail | PodaAcctypCode | Account Type Code | String | 1 | G | False | | PodaAmt | shipmentAllocationDetail | PodaAmt | Amount | Number | 18/2 | 500.0 | False | | PodaQty | shipmentAllocationDetail | PodaQty | Quantity | Number | 16/8 | 100.0 | False | | PodaCurrCode | shipmentAllocationDetail | PodaCurrCode | Currency Code | String | 3 | US | False | | PodaLegalAmt | shipmentAllocationDetail | PodaLegalAmt | Legal Amount | Number | 18/2 | 100.0 | False | | PodaFuncAmt | shipmentAllocationDetail | PodaFuncAmt | Functional Amount | Number | 18/2 | 100.0 | False | | PodaShplCode | shipmentAllocationDetail | PodaShplCode | Ship Location Code | String | 20 | 12 | False | | PodaRecDate | shipmentAllocationDetail | PodaRecDate | Receipt Date | String | N/A | 2011-03-15 00:00:00 | False | | PodaVouDate | shipmentAllocationDetail | PodaVouDate | Voucher Date | String | N/A | 2021-02-12 00:00:00 | False | | PodaVouNum | shipmentAllocationDetail | PodaVouNum | Voucher Number | Number | N/A | 3573 | False | | PodaInvCode | shipmentAllocationDetail | PodaInvCode | Invoice Code | String | 20 | ROASTINV993 | False | | PodaInvQty | shipmentAllocationDetail | PodaInvQty | Invoice Quantity | Number | 18/8 | 0.0 | False | | PodaInvAmt | shipmentAllocationDetail | PodaInvAmt | Invoice Amount | Number | 18/2 | 10.0 | False | | PodaWmCode | shipmentAllocationDetail | PodaWmCode | WM Code | String | 2 | EA | False | | PodaVenCode | shipmentAllocationDetail | PodaVenCode | Vendor Code | String | 8 | A1WINDOW | False | | PodaItemCode | shipmentAllocationDetail | PodaItemCode | Item Code | String | 16 | FREE11 | False | | PodaItemTypeCode | shipmentAllocationDetail | PodaItemTypeCode | Item Type Code | String | 2 | IT | False | | PodaReleaseNum | shipmentAllocationDetail | PodaReleaseNum | Release Number | Number | 11/0 | 1 | True | | PodaJobCode | shipmentAllocationDetail | PodaJobCode | Job Code | String | 10 | QAJOB | False | | PodaJobCtrlCode | shipmentAllocationDetail | PodaJobCtrlCode | Job Control Code | String | 10 | ALL | False | | PodaPhsCode | shipmentAllocationDetail | PodaPhsCode | Phase Code | String | 16 | 02-200 | False | | PodaPhsCtrlCode | shipmentAllocationDetail | PodaPhsCtrlCode | Control Phase Code | String | 16 | 02 | False | | PodaCatCode | shipmentAllocationDetail | PodaCatCode | Job Category Code | String | 16 | 4000 | False | | PodaCatCtrlCode | shipmentAllocationDetail | PodaCatCtrlCode | Job Category Control Code | String | 16 | ALL | False | | PodaEqpCode | shipmentAllocationDetail | PodaEqpCode | Equipment Code | String | 10 | TRUCK1 | False | | PodaEcstCode | shipmentAllocationDetail | PodaEcstCode | ECST Code | String | 6 | T111 | False | | PodaPmCode | shipmentAllocationDetail | PodaPmCode | PM Code | String | 30 | TW00 | False | | PodaComponCode | shipmentAllocationDetail | PodaComponCode | Equipment Category Code | String | 8 | FUEL | False | | PodaTrancodeCode | shipmentAllocationDetail | PodaTrancodeCode | Transaction Code | String | 4 | FUEL | False | | PodaUnitCost | shipmentAllocationDetail | PodaUnitCost | Unit Cost | Number | 18/4 | 5.0 | False | | PodaSrcCompCode | shipmentAllocationDetail | PodaSrcCompCode | Source Company Code | String | 8 | RV1 | False | | PodaTax1Code | shipmentAllocationDetail | PodaTax1Code | Tax 1 Code | String | 11 | 01\* | False | | PodaTax2Code | shipmentAllocationDetail | PodaTax2Code | Tax 2 Code | String | 11 | 02 | False | | PodaTax3Code | shipmentAllocationDetail | PodaTax3Code | Tax 3 Code | String | 11 | IL\* | False | | PodaTax1Amt | shipmentAllocationDetail | PodaTax1Amt | Tax 1 Amount | Number | 18/2 | 0.0 | False | | PodaTax2Amt | shipmentAllocationDetail | PodaTax2Amt | Tax 2 Amount | Number | 18/2 | 0.0 | False | | PodaTax3Amt | shipmentAllocationDetail | PodaTax3Amt | Tax 3 Amount | Number | 18/2 | 0.0 | False | | PodaInvTax1Amt | shipmentAllocationDetail | PodaInvTax1Amt | Invoice Tax 1 Amount | Number | 18/2 | 0.0 | False | | PodaInvTax2Amt | shipmentAllocationDetail | PodaInvTax2Amt | Invoice Tax 2 Amount | Number | 18/2 | 0.0 | False | | PodaInvTax3Amt | shipmentAllocationDetail | PodaInvTax3Amt | Invoice Tax 3 Amount | Number | 18/2 | 0.0 | False | | PodaDistTypeCode | shipmentAllocationDetail | PodaDistTypeCode | Distribution Type Code | String | 2 | G | False | | PodaLineSubNum | shipmentAllocationDetail | PodaLineSubNum | Line Sub Number | Number | 6/0 | 1 | True | | PodaTax1TaxableFlag | shipmentAllocationDetail | PodaTax1TaxableFlag | Tax 1 Taxable Flag | String | 1 | Y | False | | PodaTax2TaxableFlag | shipmentAllocationDetail | PodaTax2TaxableFlag | Tax 2 Taxable Flag | String | 1 | Y | False | | PodaTax3TaxableFlag | shipmentAllocationDetail | PodaTax3TaxableFlag | Tax 3 Taxable Flag | String | 1 | Y | False | | PodaWoCode | shipmentAllocationDetail | PodaWoCode | Work Order Code | String | 10 | WO00008 | False | | PodaWitmLineNumber | shipmentAllocationDetail | PodaWitmLineNumber | WITM Line Number | Number | 16/0 | 1 | False | | PodaExpCode | shipmentAllocationDetail | PodaExpCode | Expense Code | String | 4 | ZZ-2 | False | | PodaWDetailCode | shipmentAllocationDetail | PodaWDetailCode | W Detail Code | String | 30 | P | False | | PodaShipmNum | shipmentAllocationDetail | PodaShipmNum | Shipment Number | String | 20 | 125 | False | | PodaShiplistNum | shipmentAllocationDetail | PodaShiplistNum | Shiplist Number | String | 20 | 125 | False | | PodaShipmMethod | shipmentAllocationDetail | PodaShipmMethod | Shipment Method | String | 5 | TRUCK | False | | PodaShipLine | shipmentAllocationDetail | PodaShipLine | Shipping Line | String | 3 | CNT | False | | PodaTrnspMean | shipmentAllocationDetail | PodaTrnspMean | Means Of Transportation | String | 3 | NA | False | | PodaTrnspMeanNum | shipmentAllocationDetail | PodaTrnspMeanNum | Transportation Means Number | String | 16 | TEST | False | | PodaTrnspDocNum | shipmentAllocationDetail | PodaTrnspDocNum | Transport Document Number | String | 16 | TEST | False | | PodaRemarks | shipmentAllocationDetail | PodaRemarks | Remarks | String | 250 | (C) | False | | PodaReceiver | shipmentAllocationDetail | PodaReceiver | Receiver | String | 30 | RAVI | False | | PodaShipmRecDate | shipmentAllocationDetail | PodaShipmRecDate | Shipment Received Date | String | N/A | 2011-03-15 00:00:00 | False | | PodaIuCreateDate | shipmentAllocationDetail | PodaIuCreateDate | Record Creation Date | String | N/A | System generated | False | | PodaIuCreateUser | shipmentAllocationDetail | PodaIuCreateUser | Record Creator User | String | 30 | System generated | False | | PodaIuUpdateDate | shipmentAllocationDetail | PodaIuUpdateDate | Record Last Update Date | String | N/A | System generated | False | | PodaIuUpdateUser | shipmentAllocationDetail | PodaIuUpdateUser | Record Last Updated By | String | 30 | System generated | False | | PodaMatchingBchNum | shipmentAllocationDetail | PodaMatchingBchNum | Matching Batch Number | Number | 11/0 | 12827 | False | | PodaVUuid | shipmentAllocationDetail | PodaVUuid | Unique Identifier (UUID) | String | 64 | 2BEE1509D92E2FB4E0630B811DACCF47 | False | ## OpenAPI ````json GET /po-rest-api/rest/1/shipmentAllocationDetail { "openapi": "3.0.0", "info": { "title": "API Catalog", "description": "", "version": "1.0.0" }, "servers": [ { "url": "https://mobtest.cmiccloudr12.com/cmictestrti", "description": "CMIC API Server" } ], "security": [ { "cmicBasicAuth": [] } ], "tags": [ { "name": "Highlights" }, { "name": "Asset Management | Equipment" }, { "name": "Asset Management | Fixed Assets" }, { "name": "Asset Management | Purchase Order" }, { "name": "Asset Management | Inventory" }, { "name": "Asset Management | Requisition" }, { "name": "Asset Management | Purchase Change Order" }, { "name": "Bim Model" }, { "name": "Bim Model Revision" }, { "name": "Bim Tag Model" }, { "name": "Bim Tags" }, { "name": "Bim FileUpload Jersey" }, { "name": "Core System | Business Partners" }, { "name": "Core System | Business Partner Addresses" }, { "name": "Core System | Bank" }, { "name": "Core System | Currency" }, { "name": "Core System | Exchange Rates" }, { "name": "Core System | Global Table Text Codes" }, { "name": "Core System | Global Table Regions" }, { "name": "Core System | Terms" }, { "name": "Core System | System Contact" }, { "name": "Core System | Weight Measures" }, { "name": "Core System | Field User Defined Classifiers" }, { "name": "Core System | User Defined Classifiers by Object" }, { "name": "Core System | User Extension Definitions by Object" }, { "name": "Core System | User Extention Field Data Value" }, { "name": "Core System | User Extension Values by Object" }, { "name": "Core System | User System Role" }, { "name": "Core System | User Project Role" }, { "name": "Core System | Documents by Object" }, { "name": "Core System | Audit Status Log by Object" }, { "name": "Core System | Licensed Users" }, { "name": "Core System | Company Access" }, { "name": "Core System | Copy User Settings" }, { "name": "Core System | User Maintenance" }, { "name": "Core System | User Roles" }, { "name": "Core System | Security Groups" }, { "name": "Core System | Job/Project Security" }, { "name": "Core System | Weight Measure with Conversions Code" }, { "name": "Core System | Weight Measure Conversions Code" }, { "name": "Core System | User-defined-fields" }, { "name": "Core System | User-extension" }, { "name": "ECM and Workflow | Image Manager" }, { "name": "Financials | General Ledger" }, { "name": "Financials | Accounts Payable" }, { "name": "Financials | Accounts Receivable" }, { "name": "Preventative Maintenance | Issue Work Orders" }, { "name": "Preventative Maintenance | Issue Work Items" }, { "name": "Preventative Maintenance | Issue Work Budgets" }, { "name": "Preventative Maintenance | Issue Priorities" }, { "name": "Preventative Maintenance | Issue Status" }, { "name": "Preventative Maintenance | Issue Types" }, { "name": "Preventative Maintenance | Accumulative Equipment" }, { "name": "Preventative Maintenance | Work Orders" }, { "name": "Preventative Maintenance | Work Items" }, { "name": "Preventative Maintenance | Work Budgets" }, { "name": "Preventative Maintenance | Priorities" }, { "name": "Preventative Maintenance | Tasks" }, { "name": "HCM | UKG Pay Deductions" }, { "name": "HCM | UKG Pay Earnings" }, { "name": "HCM | UKG Pay Headers" }, { "name": "HCM | UKG Pay Taxes" }, { "name": "HCM | Payroll Geographical States" }, { "name": "HCM | Payroll Trades" }, { "name": "HCM | Payroll Union" }, { "name": "HCM | Payroll Pay Runs" }, { "name": "HCM | Payroll Pay Groups" }, { "name": "HCM | Payroll Tax" }, { "name": "HCM | Payroll Worker Compensation" }, { "name": "HCM | Payroll Work Locations" }, { "name": "HCM | Payroll Trade Pay Rates" }, { "name": "HCM | Payroll Union Pay Rates" }, { "name": "HCM | Payroll Job Pay Rates" }, { "name": "HCM | Payroll Master Benefits" }, { "name": "HCM | Payroll Master Deductions" }, { "name": "HCM | Payroll Ben/Ded/Leave Base Codes" }, { "name": "HCM | Payroll Ben/Ded Plans" }, { "name": "HCM | Payroll Ben/Ded Plan Options" }, { "name": "HCM | Payroll Company Benefits" }, { "name": "HCM | Payroll Company Deductions" }, { "name": "HCM | Payroll Vertex Geographic Locations" }, { "name": "HCM | Payroll Checks" }, { "name": "HCM | Payroll Timesheets" }, { "name": "HCM | Employee" }, { "name": "HCM | Employee (Minimum payload)" }, { "name": "HCM | Employee History" }, { "name": "HCM | Tax Exemptions" }, { "name": "HCM | Employee Tax Overrides" }, { "name": "HCM | Employee Pay Splits" }, { "name": "HCM | Employee Benefits" }, { "name": "HCM | Employee Clock In and Out" }, { "name": "HCM | Employee Deductions" }, { "name": "HCM | Employee Leaves" }, { "name": "HCM | Employee Leave History" }, { "name": "HCM | Employee Hour Types" }, { "name": "HCM | Employee Pay History" }, { "name": "HCM | Employee Work Statuses" }, { "name": "HCM | Employee Security Group" }, { "name": "HCM | Crewtime Crew" }, { "name": "HCM | Crewtime Employee Timesheet" }, { "name": "HCM | Crewtime Equipment Timesheet" }, { "name": "HCM | Crew Maintenance Activity Assignment" }, { "name": "HCM | Crew Maintenance Member Assignment" }, { "name": "HCM | Crew Maintenance Member Trade and Union Assignment" }, { "name": "HCM | Crew Maintenance Equipment Assignment" }, { "name": "HCM | Crew Maintenance Equipment Detail Assignment" }, { "name": "HCM | HR Requisitions" }, { "name": "HCM | HR Relations" }, { "name": "HCM | HR Employee Skills" }, { "name": "HCM | HR Incident" }, { "name": "HCM | HR Employee Relatives / Dependents" }, { "name": "HCM | HR Employee Positions" }, { "name": "HCM | HR Applicants" }, { "name": "HCM | HR Applications" }, { "name": "HCM | Vertex Location City" }, { "name": "HCM | HR Application History" }, { "name": "HCM | HR Dependent Benefits" }, { "name": "HCM | HR Dependent Deductions" }, { "name": "HCM | HR Employee Elected Plans" }, { "name": "HCM | HR Employee Training Certifications" }, { "name": "HCM | HR Trainings" }, { "name": "HCM | E-Timesheets" }, { "name": "HCM | System Contacts" }, { "name": "HCM | System User Payroll Security Group" }, { "name": "HCM | Payroll Timesheet Posting" }, { "name": "HCM | CrewTimesheet Posting" }, { "name": "HCM | HR Positions Master" }, { "name": "HCM | Payroll Pay Periods" }, { "name": "HCM | Payroll Rate Codes" }, { "name": "HCM | Payroll Overhead Codes and Rates" }, { "name": "HCM | Payroll Assigned Overhead to Jobs" }, { "name": "Materials Management | Material Sale Orders" }, { "name": "Materials Management | Material Sale Orders Details" }, { "name": "Materials Management | Truck Rate Detail" }, { "name": "Opportunity Management | Competitors" }, { "name": "Opportunity Management | Opportunities" }, { "name": "Opportunity Management | Revenue Details" }, { "name": "Opportunity Management | Opportunity History" }, { "name": "Opportunity Management | Organization" }, { "name": "Project Controls | Job Billing" }, { "name": "Project Controls | Job Cost" }, { "name": "Project Controls | PCI Details" }, { "name": "Project Controls | Unposted PCI Details" }, { "name": "Project Controls | PCI Headers" }, { "name": "Project Controls | Owner Change Orders" }, { "name": "Project Controls | CM Statuses" }, { "name": "Project Controls | CM Types" }, { "name": "Project Controls | CM Vendor Details" }, { "name": "Project Controls | Post PCI" }, { "name": "Project Management | Uploading Documents" }, { "name": "Project Management | Downloading Documents" }, { "name": "Project Management | Foreign Bid Item Imports" }, { "name": "Project Management | Communications" }, { "name": "Project Management | Daily Journals" }, { "name": "Project Management | Communications Types" }, { "name": "Project Management | Daily Journal Daily Work Plans" }, { "name": "Project Management | Daily Journal Field Forces" }, { "name": "Project Management | Daily Journal Labour" }, { "name": "Project Management | Daily Journal Materials" }, { "name": "Project Management | Daily Journal Owner Equipment" }, { "name": "Project Management | Daily Journal Quality Control" }, { "name": "Project Management | Daily Journal Tasks" }, { "name": "Project Management | Daily Journal Trade Equipment" }, { "name": "Project Management | Daily Journal Transactions" }, { "name": "Project Management | Daily Journal User Defined Data" }, { "name": "Project Management | Daily Journal Visitors" }, { "name": "Project Management | Daily Journal Bill Details" }, { "name": "Project Management | Field Work Directives" }, { "name": "Project Management | Contract Types" }, { "name": "Project Management | Company Contacts" }, { "name": "Project Management | Distribution BCC" }, { "name": "Project Management | Distribution CC" }, { "name": "Project Management | Field Work Directive Statuses" }, { "name": "Project Management | Issues" }, { "name": "Project Management | Key Players" }, { "name": "Project Management | Meetings" }, { "name": "Project Management | Meeting Attendees" }, { "name": "Project Management | Meeting Item Statuses" }, { "name": "Project Management | Meeting Tracks" }, { "name": "Project Management | Notes" }, { "name": "Project Management | Projects" }, { "name": "Project Management | Project Items" }, { "name": "Project Management | Project Item Phase Segment Sums" }, { "name": "Project Management | Project Partners" }, { "name": "Project Management | Notices" }, { "name": "Project Management | Notice Statuses" }, { "name": "Project Management | Owner JS Query" }, { "name": "Project Management | PCI Real Locations" }, { "name": "Project Management | Project Contacts" }, { "name": "Project Management | RFIs (Requests for Information)" }, { "name": "Project Management | RFI Statuses" }, { "name": "Project Management | Submittal Packages" }, { "name": "Project Management | Submittal Package Details" }, { "name": "Project Management | Submittal Package Status" }, { "name": "Project Management | Submittals" }, { "name": "Project Management | Submittal Status" }, { "name": "Project Management | Transmittals" }, { "name": "Project Management | Subcontract Headers" }, { "name": "Project Management | Subcontract Schedules" }, { "name": "Project Management | Subcontract Sechedule Phase Segment Sums" }, { "name": "Project Management | User Roles" }, { "name": "Project Management | Punchlists" }, { "name": "Project Management | Punchlist Details" }, { "name": "Project Management | Punchlist Statuses" }, { "name": "Project Management | Meeting Items" }, { "name": "Project Management | Self Perform Vendor" }, { "name": "Project Management | Submittal Types" }, { "name": "Project Management | Assign contact and partner to project" }, { "name": "Project Management | Subcontract Prequal" }, { "name": "Project Management | Bid Item Package" } ], "paths": { "/po-rest-api/rest/1/shipmentAllocationDetail": { "get": { "tags": [ "Asset Management | Purchase Order" ], "summary": "Retrieve Shipment Allocation Detail By Code", "description": "## Overview\n\n**Retrieve Shipment Allocation Detail:**\n\nThis endpoint retrieves shipment allocation details based on company code, vendor code, shipment number, shiplist number, PO number, and release number. It also supports an optional voucher number as query parameter.\n\n## Finders\n\nThe following finders are available for data filtering and optimizing request performance.\n\n- selectByCode\n \n\n## Select By Code\n\n| Parameter | Description | Example |\n| --- | --- | --- |\n| compCode | Company Code | ZZ |\n| venCode | Vendor Code | A1BRICKS |\n| poNum | Purchase Order Num | PZZ0000855 |\n| releaseNum | Purchase Order Release Num | 1 |\n| shiplistNum | Shiplist Num | PZZ0000855 |\n| shipNum | Shipment Num | PZZ0000855 |\n\nIn addition to finder-based filtering, this endpoint also supports advanced filtering through the `q` parameter.\n\n- To retrieve records where the voucher number is **null**: \n `/po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum is null`\n \n- To retrieve records where the voucher number is **not null**: \n `/po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum is not null`\n \n- To retrieve records for a **specific voucher number**: \n `/po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum=2034569027351`\n \n\n## Query Standards\n\n| Key | Recommended | Description |\n| --- | --- | --- |\n| `finder` | Yes | Filters data based on attributes. See finder details below. Finders can be combined using a comma delimiter between parameters that implies an \"and\" statement. For more information on using the finder functionality, please see \\[Best Practice |\n| `limit` | Yes | A limit restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count, then the framework will return all available resources. For additional information on using the limit functionality, please visit \\[Best Practice |\n| `offset` | Yes | The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using offset functionality, please visit \\[Best Practice |\n| `orderBy` | Yes | The `orderBy` attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using `orderBy` functionality, please visit \\[Best Practice |\n\n## shipmentAllocationDetail Finders\n\n| Finder | Parameter | Data Type | Description | Example | Mandatory |\n| --- | --- | --- | --- | --- | --- |\n| selectByCode | PODA_COMP_CODE | String | Company Code | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;compCode=ZZ | Optional |\n| selectByCode | PODA_NUM | String | Purchase Order Num | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;compCode=ZZ,poNum=PZZ0000855 | Optional |\n| selectByCode | PODA_RELEASE_NUM | Number | Purchase order release Num | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;releaseNum=1 | Optional |\n| selectByCode | PODA_SHIPM_NUM | String | Shipment Number | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;shipNum=PZZ0000855 | Optional |\n| selectByCode | PODA_SHIPLIST_NUM | String | Shiplist Number | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;shiplistNum=PZZ0000855 | Optional |\n| selectByCode | PODA_VEN_CODE | String | Vendor Code | /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;venCode=A1BRICKS | Optional |\n\n## Attributes\n\n| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Mandatory |\nn| --- | --- | --- | --- | --- | --- | --- | --- |\n| PodaCompCode | shipmentAllocationDetail | PodaCompCode | Company Code | String | 8 | ALT | True |\n| PodaCompName | shipmentAllocationDetail | PodaCompName | Company Name | String | 30 | CMiC-ZZ Test Company Incorp | False |\n| PodaNum | shipmentAllocationDetail | PodaNum | Purchase Order Number | String | 11 | JP000002 | True |\n| PodaDeptCode | shipmentAllocationDetail | PodaDeptCode | Department Code | String | 6 | 00 | True |\n| PodaAccCode | shipmentAllocationDetail | PodaAccCode | Account Code | String | 16 | 5200.100 | True |\n| PodaLineNum | shipmentAllocationDetail | PodaLineNum | Line Number | Number | 6/0 | 1 | True |\n| PodaAcctypCode | shipmentAllocationDetail | PodaAcctypCode | Account Type Code | String | 1 | G | False |\n| PodaAmt | shipmentAllocationDetail | PodaAmt | Amount | Number | 18/2 | 500.0 | False |\n| PodaQty | shipmentAllocationDetail | PodaQty | Quantity | Number | 16/8 | 100.0 | False |\n| PodaCurrCode | shipmentAllocationDetail | PodaCurrCode | Currency Code | String | 3 | US | False |\n| PodaLegalAmt | shipmentAllocationDetail | PodaLegalAmt | Legal Amount | Number | 18/2 | 100.0 | False |\n| PodaFuncAmt | shipmentAllocationDetail | PodaFuncAmt | Functional Amount | Number | 18/2 | 100.0 | False |\n| PodaShplCode | shipmentAllocationDetail | PodaShplCode | Ship Location Code | String | 20 | 12 | False |\n| PodaRecDate | shipmentAllocationDetail | PodaRecDate | Receipt Date | String | N/A | 2011-03-15 00:00:00 | False |\n| PodaVouDate | shipmentAllocationDetail | PodaVouDate | Voucher Date | String | N/A | 2021-02-12 00:00:00 | False |\n| PodaVouNum | shipmentAllocationDetail | PodaVouNum | Voucher Number | Number | N/A | 3573 | False |\n| PodaInvCode | shipmentAllocationDetail | PodaInvCode | Invoice Code | String | 20 | ROASTINV993 | False |\n| PodaInvQty | shipmentAllocationDetail | PodaInvQty | Invoice Quantity | Number | 18/8 | 0.0 | False |\n| PodaInvAmt | shipmentAllocationDetail | PodaInvAmt | Invoice Amount | Number | 18/2 | 10.0 | False |\n| PodaWmCode | shipmentAllocationDetail | PodaWmCode | WM Code | String | 2 | EA | False |\n| PodaVenCode | shipmentAllocationDetail | PodaVenCode | Vendor Code | String | 8 | A1WINDOW | False |\n| PodaItemCode | shipmentAllocationDetail | PodaItemCode | Item Code | String | 16 | FREE11 | False |\n| PodaItemTypeCode | shipmentAllocationDetail | PodaItemTypeCode | Item Type Code | String | 2 | IT | False |\n| PodaReleaseNum | shipmentAllocationDetail | PodaReleaseNum | Release Number | Number | 11/0 | 1 | True |\n| PodaJobCode | shipmentAllocationDetail | PodaJobCode | Job Code | String | 10 | QAJOB | False |\n| PodaJobCtrlCode | shipmentAllocationDetail | PodaJobCtrlCode | Job Control Code | String | 10 | ALL | False |\n| PodaPhsCode | shipmentAllocationDetail | PodaPhsCode | Phase Code | String | 16 | 02-200 | False |\n| PodaPhsCtrlCode | shipmentAllocationDetail | PodaPhsCtrlCode | Control Phase Code | String | 16 | 02 | False |\n| PodaCatCode | shipmentAllocationDetail | PodaCatCode | Job Category Code | String | 16 | 4000 | False |\n| PodaCatCtrlCode | shipmentAllocationDetail | PodaCatCtrlCode | Job Category Control Code | String | 16 | ALL | False |\n| PodaEqpCode | shipmentAllocationDetail | PodaEqpCode | Equipment Code | String | 10 | TRUCK1 | False |\n| PodaEcstCode | shipmentAllocationDetail | PodaEcstCode | ECST Code | String | 6 | T111 | False |\n| PodaPmCode | shipmentAllocationDetail | PodaPmCode | PM Code | String | 30 | TW00 | False |\n| PodaComponCode | shipmentAllocationDetail | PodaComponCode | Equipment Category Code | String | 8 | FUEL | False |\n| PodaTrancodeCode | shipmentAllocationDetail | PodaTrancodeCode | Transaction Code | String | 4 | FUEL | False |\n| PodaUnitCost | shipmentAllocationDetail | PodaUnitCost | Unit Cost | Number | 18/4 | 5.0 | False |\n| PodaSrcCompCode | shipmentAllocationDetail | PodaSrcCompCode | Source Company Code | String | 8 | RV1 | False |\n| PodaTax1Code | shipmentAllocationDetail | PodaTax1Code | Tax 1 Code | String | 11 | 01\\* | False |\n\n| PodaTax2Code | shipmentAllocationDetail | PodaTax2Code | Tax 2 Code | String | 11 | 02 | False |\n| PodaTax3Code | shipmentAllocationDetail | PodaTax3Code | Tax 3 Code | String | 11 | IL\\* | False |\n| PodaTax1Amt | shipmentAllocationDetail | PodaTax1Amt | Tax 1 Amount | Number | 18/2 | 0.0 | False |\n| PodaTax2Amt | shipmentAllocationDetail | PodaTax2Amt | Tax 2 Amount | Number | 18/2 | 0.0 | False |\n| PodaTax3Amt | shipmentAllocationDetail | PodaTax3Amt | Tax 3 Amount | Number | 18/2 | 0.0 | False |\n| PodaInvTax1Amt | shipmentAllocationDetail | PodaInvTax1Amt | Invoice Tax 1 Amount | Number | 18/2 | 0.0 | False |\n| PodaInvTax2Amt | shipmentAllocationDetail | PodaInvTax2Amt | Invoice Tax 2 Amount | Number | 18/2 | 0.0 | False |\n| PodaInvTax3Amt | shipmentAllocationDetail | PodaInvTax3Amt | Invoice Tax 3 Amount | Number | 18/2 | 0.0 | False |\n| PodaDistTypeCode | shipmentAllocationDetail | PodaDistTypeCode | Distribution Type Code | String | 2 | G | False |\n| PodaLineSubNum | shipmentAllocationDetail | PodaLineSubNum | Line Sub Number | Number | 6/0 | 1 | True |\n| PodaTax1TaxableFlag | shipmentAllocationDetail | PodaTax1TaxableFlag | Tax 1 Taxable Flag | String | 1 | Y | False |\n| PodaTax2TaxableFlag | shipmentAllocationDetail | PodaTax2TaxableFlag | Tax 2 Taxable Flag | String | 1 | Y | False |\n| PodaTax3TaxableFlag | shipmentAllocationDetail | PodaTax3TaxableFlag | Tax 3 Taxable Flag | String | 1 | Y | False |\n| PodaWoCode | shipmentAllocationDetail | PodaWoCode | Work Order Code | String | 10 | WO00008 | False |\n| PodaWitmLineNumber | shipmentAllocationDetail | PodaWitmLineNumber | WITM Line Number | Number | 16/0 | 1 | False |\n| PodaExpCode | shipmentAllocationDetail | PodaExpCode | Expense Code | String | 4 | ZZ-2 | False |\n| PodaWDetailCode | shipmentAllocationDetail | PodaWDetailCode | W Detail Code | String | 30 | P | False |\n| PodaShipmNum | shipmentAllocationDetail | PodaShipmNum | Shipment Number | String | 20 | 125 | False |\n| PodaShiplistNum | shipmentAllocationDetail | PodaShiplistNum | Shiplist Number | String | 20 | 125 | False |\n| PodaShipmMethod | shipmentAllocationDetail | PodaShipmMethod | Shipment Method | String | 5 | TRUCK | False |\n| PodaShipLine | shipmentAllocationDetail | PodaShipLine | Shipping Line | String | 3 | CNT | False |\n| PodaTrnspMean | shipmentAllocationDetail | PodaTrnspMean | Means Of Transportation | String | 3 | NA | False |\n| PodaTrnspMeanNum | shipmentAllocationDetail | PodaTrnspMeanNum | Transportation Means Number | String | 16 | TEST | False |\n| PodaTrnspDocNum | shipmentAllocationDetail | PodaTrnspDocNum | Transport Document Number | String | 16 | TEST | False |\n| PodaRemarks | shipmentAllocationDetail | PodaRemarks | Remarks | String | 250 | (C) | False |\n| PodaReceiver | shipmentAllocationDetail | PodaReceiver | Receiver | String | 30 | RAVI | False |\n| PodaShipmRecDate | shipmentAllocationDetail | PodaShipmRecDate | Shipment Received Date | String | N/A | 2011-03-15 00:00:00 | False |\n| PodaIuCreateDate | shipmentAllocationDetail | PodaIuCreateDate | Record Creation Date | String | N/A | System generated | False |\n| PodaIuCreateUser | shipmentAllocationDetail | PodaIuCreateUser | Record Creator User | String | 30 | System generated | False |\n| PodaIuUpdateDate | shipmentAllocationDetail | PodaIuUpdateDate | Record Last Update Date | String | N/A | System generated | False |\n| PodaIuUpdateUser | shipmentAllocationDetail | PodaIuUpdateUser | Record Last Updated By | String | 30 | System generated | False |\n| PodaMatchingBchNum | shipmentAllocationDetail | PodaMatchingBchNum | Matching Batch Number | Number | 11/0 | 12827 | False |\n| PodaVUuid | shipmentAllocationDetail | PodaVUuid | Unique Identifier (UUID) | String | 64 | 2BEE1509D92E2FB4E0630B811DACCF47 | False |", "parameters": [ { "name": "Content-Type", "in": "header", "schema": { "type": "string" }, "example": "application/vnd.oracle.adf.resourceitem+json" }, { "name": "limit", "in": "query", "schema": { "type": "integer" }, "example": "25" }, { "name": "offset", "in": "query", "schema": { "type": "integer" }, "example": "0" }, { "name": "totalResults", "in": "query", "schema": { "type": "boolean" }, "example": "true" }, { "name": "finder", "in": "query", "schema": { "type": "string" }, "example": "selectByCode;compCode=ZZ,venCode=A1BRICKS,shiplistNum=PZZ0000855,shipNum=PZZ0000855,releaseNum=1" }, { "name": "q", "in": "query", "schema": { "type": "string" }, "example": "PodaVouNum=2034569027351" }, { "name": "orderBy", "in": "query", "schema": { "type": "string" }, "example": "default" } ], "responses": { "200": { "description": "OK", "headers": { "Content-Type": { "schema": { "type": "string", "example": "application/vnd.oracle.adf.resourcecollection+json" } } }, "content": { "text/plain": { "schema": { "type": "string" }, "example": "{\n \"items\": [\n {\n \"PodaCompCode\": \"ZZ\",\n \"PodaCompName\": \"CMiC-ZZ Test Company Incorp\",\n \"PodaNum\": \"PZZ0000855\",\n \"PodaDeptCode\": \"10\",\n \"PodaAccCode\": \"1000.175\",\n \"PodaLineNum\": 2,\n \"PodaAcctypCode\": \"G\",\n \"PodaAmt\": 600,\n \"PodaQty\": 3,\n \"PodaCurrCode\": \"US\",\n \"PodaLegalAmt\": null,\n \"PodaFuncAmt\": null,\n \"PodaShplCode\": \"PZZ0000855\",\n \"PodaRecDate\": \"2026-03-30\",\n \"PodaVouDate\": \"2026-03-30\",\n \"PodaVouNum\": 2034569027351,\n \"PodaInvCode\": \"INV45454\",\n \"PodaInvQty\": 3,\n \"PodaInvAmt\": 600,\n \"PodaWmCode\": \"EA\",\n \"PodaVenCode\": \"A1BRICKS\",\n \"PodaItemCode\": \"A1\",\n \"PodaItemTypeCode\": null,\n \"PodaReleaseNum\": 1,\n \"PodaJobCode\": null,\n \"PodaJobCtrlCode\": null,\n \"PodaPhsCode\": null,\n \"PodaPhsCtrlCode\": null,\n \"PodaCatCode\": null,\n \"PodaCatCtrlCode\": null,\n \"PodaEqpCode\": null,\n \"PodaEcstCode\": null,\n \"PodaPmCode\": null,\n \"PodaComponCode\": null,\n \"PodaTrancodeCode\": null,\n \"PodaUnitCost\": 200,\n \"PodaSrcCompCode\": \"ZZ\",\n \"PodaTax1Code\": \"7V\",\n \"PodaTax2Code\": null,\n \"PodaTax3Code\": null,\n \"PodaTax1Amt\": 47.25,\n \"PodaTax2Amt\": 0,\n \"PodaTax3Amt\": 0,\n \"PodaInvTax1Amt\": 47.25,\n \"PodaInvTax2Amt\": 0,\n \"PodaInvTax3Amt\": 0,\n \"PodaDistTypeCode\": null,\n \"PodaLineSubNum\": 1,\n \"PodaTax1TaxableFlag\": \"Y\",\n \"PodaTax2TaxableFlag\": \"Y\",\n \"PodaTax3TaxableFlag\": \"Y\",\n \"PodaWoCode\": null,\n \"PodaWitmLineNumber\": null,\n \"PodaExpCode\": null,\n \"PodaWDetailCode\": null,\n \"PodaShipmNum\": \"PZZ0000855\",\n \"PodaShiplistNum\": \"PZZ0000855\",\n \"PodaShipmMethod\": null,\n \"PodaShipLine\": null,\n \"PodaTrnspMean\": null,\n \"PodaTrnspMeanNum\": null,\n \"PodaTrnspDocNum\": null,\n \"PodaRemarks\": null,\n \"PodaReceiver\": \"DA\",\n \"PodaShipmRecDate\": \"2026-03-30\",\n \"PodaIuCreateDate\": \"2026-03-30T10:52:57-04:00\",\n \"PodaIuCreateUser\": \"BAVYAN\",\n \"PodaIuUpdateDate\": \"2026-03-30T11:03:13-04:00\",\n \"PodaIuUpdateUser\": \"BAVYAN\",\n \"PodaMatchingBchNum\": null,\n \"PodaVUuid\": \"4E3FD072F09B0BF7E0630B811DACF24F\",\n \"links\": [\n {\n \"rel\": \"self\",\n \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/shipmentAllocationDetail/4E3FD072F09B0BF7E0630B811DACF24F\",\n \"name\": \"shipmentAllocationDetail\",\n \"kind\": \"item\"\n },\n {\n \"rel\": \"canonical\",\n \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/shipmentAllocationDetail/4E3FD072F09B0BF7E0630B811DACF24F\",\n \"name\": \"shipmentAllocationDetail\",\n \"kind\": \"item\"\n }\n ]\n }\n ],\n \"totalResults\": 1,\n \"count\": 1,\n \"hasMore\": false,\n \"limit\": 25,\n \"offset\": 0,\n \"links\": [\n {\n \"rel\": \"self\",\n \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/shipmentAllocationDetail\",\n \"name\": \"shipmentAllocationDetail\",\n \"kind\": \"collection\"\n }\n ]\n}" } } } } } } }, "components": { "securitySchemes": { "cmicBasicAuth": { "type": "http", "scheme": "basic", "description": "Basic authentication" } } } } ````